# Copyright 2014 Canonical
# All rights reserved

import sys
import yaml

FIELDS = [
    ('name', "the name of the scope"),
    ('description', "a lenghty description of what the scope is or does"),
]

def main(src_file, dst_file):
    """Main entry point."""
    with open(src_file, 'rt') as fh:
        data = yaml.load(fh)

    with open(dst_file, 'wt') as fh:
        for scope_id, scope_data in data.items():
            for field_id, field_descrip in FIELDS:
                fh.write("# {} - {}\n".format(scope_id, field_descrip))
                description = scope_data[field_id].strip()
                fh.write("translator({!r})\n".format(description))
            fh.write("\n")


if __name__ == '__main__':
    if len(sys.argv) != 3:
        print "Usage: yaml2translatable.py source_file dest_file"
        exit()

    main(*sys.argv[1:])
