# Copyright 2014 Canonical
# All Rights Reserved

"""Tests for some utils."""

import unittest

import utils


class MarkupCleanerTestCase(unittest.TestCase):
    """Test the markup cleaner function."""

    def test_simple(self):
        html = "text1<br><b>text2</b>"
        resp = utils.markup_cleaner(html)
        self.assertEqual(resp, "text1\n\ntext2\n")

    def test_remove_common(self):
        html = "text1<br>XXX<br><b>text2</b><br>XXX<br>XXX<br>XXX<br>XXX<br>"
        resp = utils.markup_cleaner(html)
        self.assertEqual(resp, "text1\n\ntext2\n")

    def test_remove_double_empty(self):
        html = "text1<br><br><br><br><b>text2</b>"
        resp = utils.markup_cleaner(html)
        self.assertEqual(resp, "text1\n\ntext2\n")
